<?php
header('Content-Type: application/json');
require_once __DIR__ . '/UsuarioController.php';

// Inicializar el modelo de usuario
UsuarioController::inicializar();

if ( $_SERVER['REQUEST_METHOD'] === 'POST') {

    $usuario = isset($_POST['numero-personal']) ? $_POST['numero-personal'] : '';
    $contrasena = isset($_POST['contrasena']) ? $_POST['contrasena'] : '';

    // Iniciar sesión y obtener respuesta
    $respuesta = UsuarioController::iniciarSesion($usuario, $contrasena);


    if ($respuesta['estado'] === 'exitoso') {
        // Iniciar sesión
        session_start();
        $_SESSION['usuario'] = $usuario;
    }

    echo json_encode($respuesta);

} else {
    // Metodo no permitido
    echo json_encode([
        'estado' => 'error',
        'mensaje' => 'Método no permitido'
    ]);
}
?>